{% load bootstrap_tags %}
{% load static %}
<html>
    <head>
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
      {% block css %}{% endblock css %} {# example, what to do if you need extra #}
      <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
      {% block meta %}{% endblock meta %}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
          <a class="navbar-brand" href="{% url 'index' %}">Django School</a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="{% url 'index' %}">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'add_group' %}">Add Group</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'add_student' %}">Add Student</a>
              </li>
            </ul>
            <ul class="navbar-nav my-2">
              <li class="nav-item active">
                <a class="nav-link" href="/logout/">Logout</a>
              </li>
            </ul>
          </div>
        </nav>
        <div class="container">
          {% block content %}
          {% endblock content %}
        </div>
        <script src="{% static 'js/script.js'%}"></script>
         {% block js %}{% endblock js %} {# example, what to do if you need extra widgets #}
    </body>
</html>